
<!-- README.md is generated from README.Rmd. Please edit that file -->

## Links Importantes

- Nosso blog: <https://curso-r.com/blog/>
- Nosso fórum: <https://discourse.curso-r.com/>
- Nossos livros:
  - [Ciência de Dados em R](https://livro.curso-r.com/)
  - [Zen do R](https://curso-r.github.io/zen-do-r/)
  - [Programando em Shiny](https://programando-em-shiny.curso-r.com/)
  - [Beautiful R](https://curso-r.github.io/beautiful-r/) (em inglês)

## Slides

| Slide                                                                                               |
|:----------------------------------------------------------------------------------------------------|
| [00_introducao.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/00_introducao.html)   |
| [01_organizacao.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/01_organizacao.html) |
| [02_faxina.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/02_faxina.html)           |
| [03_bancos.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/03_bancos.html)           |
| [04_git_github.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/04_git_github.html)   |
| [05_pacotes.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/05_pacotes.html)         |
| [06_integracao.html](https://curso-r.github.io/202305-r4ds-3/materiais/slides/06_integracao.html)   |

## Exemplos de Aula

| Exemplo                                                                                 |
|:----------------------------------------------------------------------------------------|
| [01_organizacao.R](https://curso-r.github.io/202305-r4ds-3/exemplos/01_organizacao.R)   |
| [02_faxina.R](https://curso-r.github.io/202305-r4ds-3/exemplos/02_faxina.R)             |
| [03_bancos.R](https://curso-r.github.io/202305-r4ds-3/exemplos/03_bancos.R)             |
| [04_git_github.R](https://curso-r.github.io/202305-r4ds-3/exemplos/04_git_github.R)     |
| [05_pacotes.R](https://curso-r.github.io/202305-r4ds-3/exemplos/05_pacotes.R)           |
| [06_intergacao.zip](https://curso-r.github.io/202305-r4ds-3/exemplos/06_intergacao.zip) |

## Exercícios

| Exercício                                                                               |
|:----------------------------------------------------------------------------------------|
| [tarefas.Rmd](https://curso-r.github.io/202305-r4ds-3/materiais/exercicios/tarefas.Rmd) |
| [tcc.Rmd](https://curso-r.github.io/202305-r4ds-3/materiais/exercicios/tcc.Rmd)         |

## Material Extra

Referências extras relacionadas com o conteúdos das aulas, ou materiais
que comentamos quando tiramos dúvidas (não necessariamente são
relacionadas com o conteúdo da aula).

| Aula | Tema              | Descrição                                               | Link                                                                         |
|-----:|:------------------|:--------------------------------------------------------|:-----------------------------------------------------------------------------|
|    1 | Ambiente          | Colinha do RStudio                                      | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/rstudio-ide.pdf> |
|    1 | Ambiente          | Zen do R: capítulo sobre .RData e .Rhistory             | <https://curso-r.github.io/zen-do-r/rdata-rhistory.html>                     |
|    1 | Ambiente          | Beautiful R: capítulo sobre ambiente                    | <https://curso-r.github.io/beautiful-r/environment.html>                     |
|    1 | Fluxo de trabalho | Zen do R: capítulo sobre Rproj                          | <https://curso-r.github.io/zen-do-r/rproj-dir.html>                          |
|    1 | Fluxo de trabalho | Beautiful R: capítulo sobre projetos                    | <https://curso-r.github.io/beautiful-r/r-projects.html>                      |
|    1 | Fluxo de trabalho | R for Data Science (2e): capítulo sobre workflow        | <https://r4ds.hadley.nz/workflow-scripts.html>                               |
|    1 | Fluxo de trabalho | R for Data Science (2e): capítulo sobre estilo          | <https://r4ds.hadley.nz/workflow-style.html>                                 |
|    2 | Importação        | Colinha de importação                                   | <https://raw.githubusercontent.com/rstudio/cheatsheets/main/data-import.pdf> |
|    2 | Importação        | Livro da Curso-R: capítulo sobre readr                  | <https://livro.curso-r.com/5-2-readr.html>                                   |
|    2 | Importação        | Livro da Curso-R: capítulo sobre readxl                 | <https://livro.curso-r.com/5-3-readxl.html>                                  |
|    2 | Importação        | R for Data Science (2e): capítulo sobre importação      | <https://r4ds.hadley.nz/data-import.html>                                    |
|    2 | Importação        | R for Data Science (2e): capítulo sobre planilhas       | <https://r4ds.hadley.nz/spreadsheets.html>                                   |
|    2 | Valores omissos   | Livro da Curso-R: capítulo sobre valores especiais      | <https://livro.curso-r.com/3-8-valoresEspeciais.html>                        |
|    2 | Valores omissos   | R for Data Science (2e): capítulo sobre valores omissos | <https://r4ds.hadley.nz/missing-values.html>                                 |
|    3 | DBI               | R for Data Science (2e): capítulo sobre BDs             | <https://r4ds.hadley.nz/databases.html>                                      |
|    3 | Junção            | Livro da Curso-R: capítulo sobre dplyr                  | <https://livro.curso-r.com/7-2-dplyr.html>                                   |
|    3 | Junção            | R for Data Science (2e): capítulo sobre junção          | <https://r4ds.hadley.nz/joins.html>                                          |
|    4 | Git               | Git Pro                                                 | <https://git-scm.com/book/en/v2>                                             |
|    4 | Git               | Git Pro em português (incompleto)                       | <https://git-scm.com/book/pt-br/v2>                                          |
|    4 | Git Hub           | Documentação do GitHub em português                     | <https://docs.github.com/pt>                                                 |
|    4 | Git e GitHub      | Happy Git and GitHub for the useR                       | <https://happygitwithr.com/index.html>                                       |
|    4 | Git e GitHub      | Beautiful R: capítulo sobre Git e GitHub (incompleto)   | <https://curso-r.github.io/beautiful-r/git.html>                             |
|    5 | Pacotes           | Zen do R: capítulo sobre pacotes                        | <https://curso-r.github.io/zen-do-r/pacotes.html>                            |
|    5 | Pacotes           | Zen do R: capítulo sobre dependências                   | <https://curso-r.github.io/zen-do-r/funcoes-deps.html>                       |
|    5 | Pacotes           | Zen do R: capítulo sobre dados                          | <https://curso-r.github.io/zen-do-r/data-data-raw.html>                      |
|    5 | Pacotes           | R Packages (2e)                                         | <https://r-pkgs.org/>                                                        |
|    5 | Pacotes           | Choose a License                                        | <https://choosealicense.com/licenses/>                                       |
|    6 | Integração        | R Packages (2e): capítulo sobre README                  | <https://r-pkgs.org/other-markdown.html>                                     |
|    6 | Integração        | R Packages (2e): capítulo sobre vignettes               | <https://r-pkgs.org/vignettes.html>                                          |
|    6 | Integração        | R Packages (2e): capítulo sobre inst/                   | <https://r-pkgs.org/misc.html>                                               |
|    6 | Integração        | R Packages (2e): capítulo sobre pkgdown                 | <https://r-pkgs.org/website.html>                                            |
|    6 | Integração        | R Packages (2e): capítulo sobre testthat                | <https://r-pkgs.org/testing-basics.html>                                     |
|    6 | Integração        | R Packages (2e): capítulo sobre integração contínua     | <https://r-pkgs.org/software-development-practices.html>                     |

## Redes Sociais da Curso-R

- YouTube: <https://www.youtube.com/c/CursoR6>
- Instagram: <https://www.instagram.com/cursoo_r/>
- Twitter: <https://twitter.com/curso_r>
- LinkedIn: <https://www.linkedin.com/company/curso-r/>
- Facebook: <https://www.facebook.com/cursodeR>
